Products
Add a plan to a product
Add a new subscription plan to an existing product. Plans are variants specifically for subscription products, typically representing different billing intervals or tiers.
Authorization
Public key Secret key x-fngs-public-key<token>
In: header
x-fngs-secret-key<token>
In: header
Path Parameters
productId*string
POST /v0/products/:productId/plans/add Parameter
Format
uuidRequest Body
application/json
POST /v0/products/:productId/plans/add Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v0/products/497f6eca-6276-4993-bfeb-53cbbbba6f08/plans/add" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "status": "success", "data": { "plan": { "object": "variant", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "internalId": null, "name": "", "description": "", "order": null } }}